# $Revision: 1.21 $, $Date: 2009/10/16 06:33:40 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Differences
Summary:	Test::Differences - test strings and data structures and show differences if not ok
Summary(pl.UTF-8):	Test::Differences - kontrola łańcuchów i struktur danych z pokazywaniem różnic
Name:		perl-Test-Differences
Version:	0.4801
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2df59051b3c4276f9bb3f26fcf01ae67
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Text-Diff >= 0.34
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
When the code you're testing returns multiple lines or records and
they're just plain wrong, sometimes an equivalent to the Unix diff
utility is just what's needed.

%description -l pl.UTF-8
Jeśli testowany kod zwraca wiele linii lub rekordów, które są
niepoprawne, czasem przydatny jest odpowiednik uniksowego narzędzia
diff.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Differences.spec,v $
Revision 1.21  2009/10/16 06:33:40  amateja
- updated to 0.4801

Revision 1.20  2008/07/27 22:41:03  arekm
- release 2

Revision 1.19  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.17  2004/11/03 22:30:47  paladine
- formatting

Revision 1.16  2004/05/06 18:21:13  ankry
- fixed perl-devel BR

Revision 1.15  2004/05/03 00:55:42  ankry
- license fixes, cosmetics

Revision 1.14  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.13  2004/04/15 21:24:54  ankry
- cosmetics

Revision 1.12  2003/09/18 13:21:40  adamg
- updated to 0.47

Revision 1.11  2003/09/09 10:24:50  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:09:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:25:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 21:34:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/24 20:31:57  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:38:36  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/03 08:39:27  marcus
- updated to 0.46

Revision 1.2  2002/08/26 16:20:01  qboosh
- pl description

Revision 1.1  2002/08/25 15:21:04  radek
- new, STBR
